// 发生产环境配置流程
// PROJECT_ENV 修改 为 prod 
// project.config.json 中appId 更换为生成
// Http.js 中 部分token修改
// 组件plus 中数据请求 token 修改
// app.js 中brandId 修改为对应

const PROJECT_ENV = 'dev' // 生产 prod, 开发 dev, 测试 test, 预生产 pre
const needMock = '' //

// appid_dev_wx   wxc3b64b09b1d3dfc2
// appid_test_wx  wx857ea77f4f7f4f34//  wxac09792264c49b5c // 1002商城
// appid_pre_711  wx358b56af62edbde1
// appid_prod_711  wx700028bf32a3be66
// appid_prod_3001 wx313ec36b710125d4

// 1 2 3 4步!!!!!!!!!!!!!!!!!!!!!!  prod appid brandId tunnel-token

// const devCtx = 'http://111.231.86.64'
const devCtx = 'http://buyer.devapi.bigaka.net' // 开发环境 1
// const devCtx = 'http://dev-sellerapi.bigaka.net' // 开发环境 2
const testCtx = 'https://crm-b.bigaka.net/api' // 发测试时解开此注释
const preCtx = 'https://crm-b.bigaka.com/api' // 发预生产时解开此注释
const prodCtx = 'https://crm-b.bigaka.com/api' // 发生产时解开此注释

const devImgCtx = 'https://img3.bigaka.com/test' // 开发环境图片地址
const testImgCtx = 'https://img3.bigaka.com/test' // 测试环境图片地址
const preImgCtx = 'https://img3.bigaka.com/test' // 预生产环境图片地址
const prodImgCtx = 'https://img3.bigaka.com/prd' // 生产环境图片地址
// const prodImgCtx = 'https://img3.bigaka.com' // 生产环境图片地址

const config = {
  dev: devCtx,
  test: testCtx,
  pre: preCtx,
  prod: prodCtx
}

const appId = {
  dev: 'wxc3b64b09b1d3dfc2',//appid_dev_wx
  test: 'wxac09792264c49b5c',//appid_test_wx 1002商城
  pre: 'wxac09792264c49b5c',//appid_test_wx 1002商城
  prod: 'wx313ec36b710125d4',//appid_prod_3001 3001商城
}

const imgConfig = {
  dev: devImgCtx,
  test: testImgCtx,
  pre: preImgCtx,
  prod: prodImgCtx
}

const token = {
  dev: 'brand1001', //开发
  test: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //测试
  pre: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //预生产
  prod: 'd6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8' ,// 生产
}

const envInfo = (() => {
  return {
    ctx: config[PROJECT_ENV],
    env: PROJECT_ENV,
    imgCtx: imgConfig[PROJECT_ENV],
    tunnelToken: token[PROJECT_ENV],
    appId: appId[PROJECT_ENV],
    brandId: '1001',// 1001 1002 3001 3002 //2711 711生产brandId
  }
})()

module.exports = {
  envInfo
}
